Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Class XSBSubprocessEngineTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.declarativa.interprolog.PrologEngineTest
                  com.declarativa.interprolog.SubprocessEngineTest
                      com.declarativa.interprolog.XSBSubprocessEngineTest

All Implemented Interfaces:
  Test

public class XSBSubprocessEngineTest
extends SubprocessEngineTest

Nested Class Summary
`static class` | `XSBSubprocessEngineTest.ConfigurationItem`

Nested classes inherited from class com.declarativa.interprolog.PrologEngineTest
`PrologEngineTest.Loop, PrologEngineTest.MyClass, PrologEngineTest.NumberTypes`

Field Summary

Fields inherited from class com.declarativa.interprolog.PrologEngineTest
`engine`

Constructor Summary
`XSBSubprocessEngineTest(String name)`

Method Summary
`void` | `testNumbers()`
`void` | `testNumbers2()`
`void` | `testPrologInstallDir()`

Methods inherited from class com.declarativa.interprolog.SubprocessEngineTest
`testDeterministicGoal, testManyEngines, testOutputListening`

Methods inherited from class com.declarativa.interprolog.PrologEngineTest
`factorial, fibonaci, kickThread1, loadTestFile, luckyNumber, somaN, someTerms, testAutoTermModel, testBlockdataSerialization1, testBlockdataSerialization2, testBuildTermModel, testDG2, testFactorial, testFibonaci, testGetRealJavaObject, testIPobjects, testJavaMessage, testJavaThreads, testLoops, testNewInterrupt, testPrototypeStuff, testSomaN, testStrangeChar`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSBSubprocessEngineTest

    public XSBSubprocessEngineTest(String name)

Method Detail

### testPrologInstallDir

    public void testPrologInstallDir()

### testNumbers2

    public void testNumbers2()

  Overrides:
    `testNumbers2` in class `PrologEngineTest`

### testNumbers

    public void testNumbers()

  Overrides:
    `testNumbers` in class `PrologEngineTest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD